SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS





-- UNIEMENS – vers. 4.23.0 del 28/02/2024



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('ELA2', 'Esonero articolo 1, comma 181, legge n. 213/2023 nella casistica in cui sono presenti due figli. Circolare n. 27/2024.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('ELA3', 'Esonero articolo 1, comma 180, legge n. 213/2023 nella casistica in cui sono presenti almeno tre figli. Circolare n. 27/2024.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M054', 'Restituzione quota 6% sullo sgravio art. 1, comma 15, della legge di Bilancio 2024. Circolare n. 27/2024.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M055', 'Restituzione quota 7% sullo sgravio art. 1, comma 15, della legge di Bilancio 2024. Circolare n. 27/2024.', NULL, NULL, '1', NULL, NULL);

COMMIT WORK; -- skip error



INSERT INTO INPS_TIPOLAVORATORE (IDINPSTIPOLAVORATORE, DESCRIZIONE, FONDOSPECIALE, DATASCADENZA) VALUES ('GE', 'Lavoratore pubblico in comando per cui si applica la contribuzione IVS 33% al FPLD. Messaggio n. 632/2024.', '0', NULL);

INSERT INTO INPS_TIPOLAVORATORE (IDINPSTIPOLAVORATORE, DESCRIZIONE, FONDOSPECIALE, DATASCADENZA) VALUES ('SB', 'Lavoratori spettacolo iscritti a forme pensionistiche obbligatorie dopo il 31.12.1995 per i quali NON è dovuto il contributo di discontinuità ex Dlgs 175/2023.', '0', NULL);

INSERT INTO INPS_TIPOLAVORATORE (IDINPSTIPOLAVORATORE, DESCRIZIONE, FONDOSPECIALE, DATASCADENZA) VALUES ('SG', 'Lavoratori spettacolo iscritti a forme pensionistiche obbligatorie al 31.12.1995 per i quali NON è dovuto il contributo di discontinuità ex Dlgs 175/2023.', '0', NULL);

INSERT INTO CONGCIGSCAUSADD (IDCAUSALE, DESCRIZIONE) VALUES ('E614', 'Ctr. addizionale CIG straordinaria decreto-legge. n. 48/2023. Messaggio n. 617/2024.');

INSERT INTO CONGCIGSCAUSADD (IDCAUSALE, DESCRIZIONE) VALUES ('L140', 'Conguaglio CIGS decreto legge. n. 48/2023. Messaggio n. 617/2024.');

INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('58', 'Esonero all’articolo 1, comma 180 Legge 213/2023, madre lavoratrice di tre o più figli. Circolare n. 27/2024.');

INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('59', 'Esonero all’articolo 1, comma 181 Legge 213/2023, madre lavoratrice con due figli. Circolare n. 27/2024.');

INSERT INTO DMAG_TIPOAGEVOLAZ (IDTIPOAGEVOLAZ, DESCRIZIONE) VALUES ('LF', 'Esonero art. 1, comma 181, legge n. 213/2023 due figli. Circolare n. 27/2024.');

INSERT INTO DMAG_TIPOAGEVOLAZ (IDTIPOAGEVOLAZ, DESCRIZIONE) VALUES ('LG', 'Esonero art. 1, comma 180, legge n. 213/2023 tre o più figli. Circolare n. 27/2024.');

COMMIT WORK;



-- End UNIEMENS



-- AGGIORNAMENTO CODICI CONTRATTO CNEL (v 423_33)



UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'A045', DESCRIZIONE = 'CCNL per i lavoratori delle aziende del settore Agricoltura, Micro, Piccole e Medie Imprese e Cooperative', IDCNELSETTORE = 'A', CONTRAENTIDATORIALI = 'ANAP; ALIM', CONTRAENTISINDACALI = 'SELP; SLE', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'A045';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'A060', DESCRIZIONE = 'CCNL per gli operai delle imprese esercenti attività nel comparto dell''Agricoltura', IDCNELSETTORE = 'A', CONTRAENTIDATORIALI = 'UNSIC; AIC; ASNALI; UNSICOOP; PMI ITALIA; FEDAGRICOLTURA; FENAPI; ASSOLAV', CONTRAENTISINDACALI = 'FNA CONFSAL; SNAF FNA CONFSAL; SNALV CONFSAL; CONFSAL FEDERLAVORATORI; CONFSAL; CONFIAL; FEDERAGRI; SIALE', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'A060';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'A141', DESCRIZIONE = 'CCNL per i dipendenti dei Consorzi Agrari', IDCNELSETTORE = 'A', CONTRAENTIDATORIALI = 'ASSOCAP', CONTRAENTISINDACALI = 'FLAI CGIL; FAI CISL; UILTUCS UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'A141';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'D02B', DESCRIZIONE = 'CCNL del settore Calzaturiero e Tessile', IDCNELSETTORE = 'D', CONTRAENTIDATORIALI = 'PMI ITALIA; UNIFORMA; EDAFOS', CONTRAENTISINDACALI = 'CONFSAL SIA', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'D02B';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'E020', DESCRIZIONE = 'CCNL per i dipendenti delle piccole e medie imprese del settore alimentare', IDCNELSETTORE = 'E', CONTRAENTIDATORIALI = 'CIFA', CONTRAENTISINDACALI = 'CONFSAL; Fesica CONFSAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'E020';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'G011', DESCRIZIONE = 'CCNL Grafici Editori', IDCNELSETTORE = 'G', CONTRAENTIDATORIALI = 'ASSOGRAFICI; AIE; ANES', CONTRAENTISINDACALI = 'SLC CGIL; FISTEL CISL; UILCOM UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'G011';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('G140', 'CCNL per Interpreti, Attrici ed Attori del comparto di produzione del cineaudiovisivo', 'G', 'ANICA; APA; APE', 'FISTEL CISL; UILCOM UIL', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'G161', DESCRIZIONE = 'CCNL del settore doppiaggio', IDCNELSETTORE = 'G', CONTRAENTIDATORIALI = 'ANICA', CONTRAENTISINDACALI = 'SLC CGIL; FISTEL CISL; UILCOM UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'G161';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H01N', DESCRIZIONE = 'CCNL per i dipendenti del terziario: commercio, distribuzione e servizi', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'SISTEMA IMPRESA; AIFOS', CONTRAENTISINDACALI = 'FESICA CONFSAL; CONFSAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H01N';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H04M', DESCRIZIONE = 'CCNL per il personale dipendente delle imprese e delle reti d''impresa che operano nei settori turistici alberghieri, B&B, centri termali, pubblici esercizi, stabilimenti balneari, agenzie di viaggio', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'UNIMPRESA; UNIAP', CONTRAENTISINDACALI = 'CONFAIL; FIALC CONFAIL; UPLA CONFCONTRIBUENTI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H04M';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('H167', 'CCNL per i dipendenti da aziende esercenti attività del Commercio, Turismo e Servizi', 'H', 'CONFIMITALIA; CONFSAAU', 'CONFAEL; SNALP CONFSAL; CONFAEL TERZIARIO', NULL);

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('H47H', 'CCNL per i dipendenti degli studi professionali e associazioni riconosciute e non riconosciute', 'H', 'GILDA AZIENDE; CONFSAAU', 'CIU UNIONQUADRI', NULL);

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('HV5A', 'CCNL per i dipendenti degli Istituti e Aziende di Servizi Fiduciari', 'H', 'FISAPI; FEDIMI', 'FISALP CONFSAL; CONFSAL', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I8C2', DESCRIZIONE = 'piloti di elicottero', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'AEI', CONTRAENTISINDACALI = 'FILT CGIL; FIT CISL; UIL TRASPORTI; UGL TRASPORTO AEREO; ANPAC', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'I8C2';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('K597', 'CCNL Facility Management e Multiservizi ed affini delle piccole e medie imprese dell''artigianato e della cooperazione', 'K', 'FEDERIMPRENDITORI; MILIX', 'FAMAR CIU UNIONQUADRI', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'K721', DESCRIZIONE = 'CCNL per imprese esercenti servizi postali in appalto', IDCNELSETTORE = 'K', CONTRAENTIDATORIALI = 'FISE ASSOPOSTE', CONTRAENTISINDACALI = 'SLC CGIL; SLP CISL; UIL POST', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'K721';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T090', DESCRIZIONE = 'CCNL per il personale dipendente da residenze sanitarie assistenziali e centri di riabilitazione', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'ARIS', CONTRAENTISINDACALI = 'FP CGIL; CISL FP; UIL FPL; UGL SALUTE (stipula su tavolo separato)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T090';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T151', DESCRIZIONE = 'CCNL Cooperative Sociali', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'AGCI IMPRESE SOCIALI; CONFCOOPERATIVE FEDERSOLIDARIETA''; LEGACOOPSOCIALI', CONTRAENTISINDACALI = 'FP CGIL; FPS CISL; FISASCAT CISL; UIL FPL; UILTUCS', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T151';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T171', DESCRIZIONE = 'personale dipendente ANPAS', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'ANPAS', CONTRAENTISINDACALI = 'CGIL FP; CISL FP; UIL FPL', VALIDOAL = '2024-02-01' WHERE IDCNELCONTRATTO = 'T171';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T181', DESCRIZIONE = 'Ccnl per il personale dipendente delle Misericordie d''Italia', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'Confederazione d''Italia delle Misericordie', CONTRAENTISINDACALI = 'FP CGIL; FPS CISL; UIL FPL', VALIDOAL = '2024-02-01' WHERE IDCNELCONTRATTO = 'T181';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('T182', 'CCNL di settore per il personale dipendente Anpas ODV - Confederazione Nazionale delle Misericordie d''Italia ODV e di altre Organizzazioni del Terzo Settore che operano nell''ambito socio-sanitario, assistenziale, del trasporto sanitario e di emergenza urg', 'T', 'ANPAS ODV; CONFEDERAZIONE DELLE MISERICORDIE D''ITALIA ODV', 'CGIL FP; UIL FPL; CISL FP', NULL);

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('T27S', 'CCNL per il settore istruzione e formazione professionale', 'T', 'CONFIMPRESAITALIA', 'CONFEDIR', NULL);

COMMIT WORK;



INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2024', '02', '119.300000', '2015'); -- Istat FOI di Febbraio 2024

COMMIT WORK; -- skip error

INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2024', '03', '119.400000', '2015'); -- Istat FOI di Marzo 2024

COMMIT WORK;



-- Aggiornamento contratto studi professionali, dettaglio 320 (H44K) (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14595)



-- Dal 01.03.2024

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', 'Q', '5', '01.03.2024', '2281.51');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '1', '5', '01.03.2024', '2018.99');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '2', '5', '01.03.2024', '1758.66');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '3S', '5', '01.03.2024', '1631.29');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '3', '5', '01.03.2024', '1616.37');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '4S', '5', '01.03.2024', '1567.44');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '4', '5', '01.03.2024', '1511.28');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '5', '5', '01.03.2024', '1406.48');

COMMIT WORK; -- skip error



-- Dal 01.10.2024

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', 'Q', '5', '01.10.2024', '2345.02');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '1', '5', '01.10.2024', '2075.19');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '2', '5', '01.10.2024', '1807.61');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '3S', '5', '01.10.2024', '1676.70');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '3', '5', '01.10.2024', '1661.37');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '4S', '5', '01.10.2024', '1611.07');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '4', '5', '01.10.2024', '1553.35');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '5', '5', '01.10.2024', '1445.63');

COMMIT WORK;



-- Dal 01.10.2025

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', 'Q', '5', '01.10.2025', '2408.53');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '1', '5', '01.10.2025', '2131.39');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '2', '5', '01.10.2025', '1856.56');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '3S', '5', '01.10.2025', '1722.11');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '3', '5', '01.10.2025', '1706.37');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '4S', '5', '01.10.2025', '1654.70');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '4', '5', '01.10.2025', '1595.42');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '5', '5', '01.10.2025', '1484.78');

COMMIT WORK;



-- Dal 01.12.2026

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', 'Q', '5', '01.12.2026', '2436.76');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '1', '5', '01.12.2026', '2156.38');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '2', '5', '01.12.2026', '1878.32');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '3S', '5', '01.12.2026', '1742.30');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '3', '5', '01.12.2026', '1726.37');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '4S', '5', '01.12.2026', '1674.10');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '4', '5', '01.12.2026', '1614.12');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('320', '5', '5', '01.12.2026', '1502.19');

COMMIT WORK;



-- End contratto Studi Professionali, dettaglio 320 (H44K)



-- Aggiornamento contratto studi professionali, dettaglio 118 (H442)



-- Dal 01.03.2024

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', 'Q', '5', '01.03.2024', '2281.51');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '1', '5', '01.03.2024', '2018.99');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '2', '5', '01.03.2024', '1758.66');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '3S', '5', '01.03.2024', '1631.29');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '3', '5', '01.03.2024', '1616.37');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '4S', '5', '01.03.2024', '1567.44');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '4', '5', '01.03.2024', '1511.28');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '5', '5', '01.03.2024', '1406.48');

COMMIT WORK; -- skip error



-- Dal 01.10.2024

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', 'Q', '5', '01.10.2024', '2345.02');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '1', '5', '01.10.2024', '2075.19');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '2', '5', '01.10.2024', '1807.61');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '3S', '5', '01.10.2024', '1676.70');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '3', '5', '01.10.2024', '1661.37');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '4S', '5', '01.10.2024', '1611.07');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '4', '5', '01.10.2024', '1553.35');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '5', '5', '01.10.2024', '1445.63');

COMMIT WORK;



-- Dal 01.10.2025

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', 'Q', '5', '01.10.2025', '2408.53');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '1', '5', '01.10.2025', '2131.39');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '2', '5', '01.10.2025', '1856.56');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '3S', '5', '01.10.2025', '1722.11');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '3', '5', '01.10.2025', '1706.37');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '4S', '5', '01.10.2025', '1654.70');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '4', '5', '01.10.2025', '1595.42');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '5', '5', '01.10.2025', '1484.78');

COMMIT WORK;



-- Dal 01.12.2026

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', 'Q', '5', '01.12.2026', '2436.76');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '1', '5', '01.12.2026', '2156.38');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '2', '5', '01.12.2026', '1878.32');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '3S', '5', '01.12.2026', '1742.30');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '3', '5', '01.12.2026', '1726.37');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '4S', '5', '01.12.2026', '1674.10');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '4', '5', '01.12.2026', '1614.12');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO) VALUES ('118', '5', '5', '01.12.2026', '1502.19');

COMMIT WORK;



-- End contratto Studi Professionali, dettaglio 118 (H442)





-- UNIEMENS – vers. 4.23.1 del 28/03/2024



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L121', 'Recupero contribuzione CIGO. Messaggio n. 1167/2024.', NULL, NULL, NULL, NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M039', 'Versamento contributo FIS aziende fino a 5 dipendenti. Messaggio n. 1167/2024 e Circolare n. 50/2024.', NULL, NULL, NULL, NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M052', 'Versamento contributo FIS aziende più 5 dipendenti. Messaggio n. 1167/2024 e Circolare n. 50/2024.', NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



ALTER TABLE SP_QUALIFICA ADD ValidoAl Date;

COMMIT WORK;



UPDATE SP_QUALIFICA SET ValidoAl = '31.10.2023' WHERE IDQUALIFICA = '771';

UPDATE SP_QUALIFICA SET ValidoAl = '31.10.2023' WHERE IDQUALIFICA = '775';

UPDATE SP_QUALIFICA SET ValidoAl = '31.10.2023' WHERE IDQUALIFICA = '777';

COMMIT WORK;



INSERT INTO RS_FEDERAZSIND (IDRSFEDERAZSIND, DESCRIZIONE) VALUES ('F00001', 'CGIL FILCAMS');

INSERT INTO RS_FEDERAZSIND (IDRSFEDERAZSIND, DESCRIZIONE) VALUES ('F00200', 'Federazione Lavoratori Agro Industria Commercio e Affini Uniti Italiana (F.L.A.I.C.A.Uniti). Messaggio n. 1040/2024.');

COMMIT WORK;



INSERT INTO PA_TIPOCESSAZIONE (IDPATIPOCESSAZIONE, DESCRIZIONE) VALUES ('58', 'Risoluzione unilaterale del rapporto di lavoro – Limite ordinamentale');

INSERT INTO PA_TIPOCESSAZIONE (IDPATIPOCESSAZIONE, DESCRIZIONE) VALUES ('59', 'Risoluzione unilaterale del rapporto di lavoro');

COMMIT WORK;



-- End UNIEMENS



-- Dettaglio 117 (H011) dal 01.04.2024

---- Richiesto da Meccanica Finanziaria (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14624;OTRSAgentInterface=i5KZeCHIERDPfjC1ozFAPZQUScEPVeNe#68262)



---- Aumenti

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.04.2024', '2070.27', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.04.2024', '1864.89', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.04.2024', '1613.13', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.04.2024', '1378.78', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.04.2024', '1192.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.04.2024', '1077.35', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.04.2024', '967.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.04.2024', '828.08', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.04.2024', '1125.64', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.04.2024', '943.44', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

COMMIT WORK;



----- Ai lavoratori del liv. VII compete un ulteriore importo di € 5,16 quale elemento distinto della retribuzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '7', '01.04.2024', '5.16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');



----- Indennità di funzione (o altre indennità) per i quadri

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.04.2024', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');



-- Contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '13', '01.04.2024', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '13', '01.04.2024', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '13', '01.04.2024', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '13', '01.04.2024', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '13', '01.04.2024', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '13', '01.04.2024', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '13', '01.04.2024', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '13', '01.04.2024', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '13', '01.04.2024', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '13', '01.04.2024', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');



-- Terzo elemento

-- Anziché 2,07 euro, nella provincia di Milano il terzo elemento è di 11,36 euro, nella provincia di Piacenza è di 9,03 euro, nella provincia di Bergamo è di 10,33 euro, nella provincia di Brescia è di 8,78 euro, nella provincia di Como e Varese è di 7,75 euro, nella provincia di Torino è 6,71 euro. In tutte le altre province è di 2,07 euro.

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.04.2024', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.04.2024', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.04.2024', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.04.2024', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.04.2024', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.04.2024', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.04.2024', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.04.2024', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.04.2024');

COMMIT WORK;



-- END Aggiornamento dettaglio 117 dal 01.04.2024



-- Dettaglio 117 dal 01.03.2025



---- Aumenti

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.03.2025', '2122.36', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.03.2025', '1911.81', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.03.2025', '1653.72', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.03.2025', '1413.47', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.03.2025', '1222.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.03.2025', '1104.45', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.03.2025', '991.55', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.03.2025', '848.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.03.2025', '1153.96', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.03.2025', '967.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

COMMIT WORK;



----- Ai lavoratori del liv. VII compete un ulteriore importo di € 5,16 quale elemento distinto della retribuzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '7', '01.03.2025', '5.160000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');



----- Indennità di funzione (o altre indennità) per i quadri

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.03.2025', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');



-- Contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '13', '01.03.2025', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '13', '01.03.2025', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '13', '01.03.2025', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '13', '01.03.2025', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '13', '01.03.2025', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '13', '01.03.2025', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '13', '01.03.2025', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '13', '01.03.2025', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '13', '01.03.2025', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '13', '01.03.2025', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');



-- Terzo elemento

-- Anziché 2,07 euro, nella provincia di Milano il terzo elemento è di 11,36 euro, nella provincia di Piacenza è di 9,03 euro, nella provincia di Bergamo è di 10,33 euro, nella provincia di Brescia è di 8,78 euro, nella provincia di Como e Varese è di 7,75 euro, nella provincia di Torino è 6,71 euro. In tutte le altre province è di 2,07 euro.

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.03.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.03.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.03.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.03.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.03.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.03.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.03.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.03.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.03.2025');

COMMIT WORK;



-- END Aggiornamento dettaglio 117 dal 01.03.2025



-- Dettaglio 117 dal 01.11.2025



---- Aumenti

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.11.2025', '2183.13', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.11.2025', '1966.55', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.11.2025', '1701.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.11.2025', '1453.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.11.2025', '1257.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.11.2025', '1136.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.11.2025', '1019.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.11.2025', '873.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.11.2025', '1187.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.11.2025', '994.96', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

COMMIT WORK;



----- Ai lavoratori del liv. VII compete un ulteriore importo di € 5,16 quale elemento distinto della retribuzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '7', '01.11.2025', '5.160000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');



----- Indennità di funzione (o altre indennità) per i quadri

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.11.2025', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');



-- Contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '13', '01.11.2025', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '13', '01.11.2025', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '13', '01.11.2025', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '13', '01.11.2025', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '13', '01.11.2025', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '13', '01.11.2025', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '13', '01.11.2025', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '13', '01.11.2025', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '13', '01.11.2025', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '13', '01.11.2025', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');



-- Terzo elemento

-- Anziché 2,07 euro, nella provincia di Milano il terzo elemento è di 11,36 euro, nella provincia di Piacenza è di 9,03 euro, nella provincia di Bergamo è di 10,33 euro, nella provincia di Brescia è di 8,78 euro, nella provincia di Como e Varese è di 7,75 euro, nella provincia di Torino è 6,71 euro. In tutte le altre province è di 2,07 euro.

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.11.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.11.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.11.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.11.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.11.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.11.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.11.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.11.2025', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

COMMIT WORK;



-- END Aggiornamento dettaglio 117 dal 01.11.2025



-- Dettaglio 117 dal 01.11.2026



---- Aumenti

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.11.2026', '2243.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.11.2026', '2021.29', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.11.2026', '1748.42', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.11.2026', '1494.41', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.11.2026', '1292.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.11.2026', '1167.69', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.11.2026', '1048.33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.11.2026', '897.53', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.11.2026', '1220.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.11.2026', '1022.70', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

COMMIT WORK;



----- Ai lavoratori del liv. VII compete un ulteriore importo di € 5,16 quale elemento distinto della retribuzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '7', '01.11.2026', '5.160000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');



----- Indennità di funzione (o altre indennità) per i quadri

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.11.2026', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');



-- Contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '13', '01.11.2026', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '13', '01.11.2026', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '13', '01.11.2026', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '13', '01.11.2026', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '13', '01.11.2026', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '13', '01.11.2026', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '13', '01.11.2026', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '13', '01.11.2026', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '13', '01.11.2026', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '13', '01.11.2026', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');



-- Terzo elemento

-- Anziché 2,07 euro, nella provincia di Milano il terzo elemento è di 11,36 euro, nella provincia di Piacenza è di 9,03 euro, nella provincia di Bergamo è di 10,33 euro, nella provincia di Brescia è di 8,78 euro, nella provincia di Como e Varese è di 7,75 euro, nella provincia di Torino è 6,71 euro. In tutte le altre province è di 2,07 euro.

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.11.2026', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.11.2026', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.11.2026', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.11.2026', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.11.2026', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.11.2026', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.11.2026', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.11.2026', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

COMMIT WORK;



-- END Aggiornamento dettaglio 117 dal 01.11.2026



-- Dettaglio 117 dal 01.02.2027



---- Aumenti

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.02.2027', '2313.34', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.02.2027', '2083.84', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.02.2027', '1802.53', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.02.2027', '1540.66', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.02.2027', '1332.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.02.2027', '1203.83', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.02.2027', '1080.78', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.02.2027', '925.31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.02.2027', '1257.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.02.2027', '1054.40', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

COMMIT WORK;



----- Ai lavoratori del liv. VII compete un ulteriore importo di € 5,16 quale elemento distinto della retribuzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '7', '01.02.2027', '5.160000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');



----- Indennità di funzione (o altre indennità) per i quadri

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.02.2027', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');



-- Contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '13', '01.02.2027', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '13', '01.02.2027', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '13', '01.02.2027', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '13', '01.02.2027', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '13', '01.02.2027', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '13', '01.02.2027', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '13', '01.02.2027', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '13', '01.02.2027', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '13', '01.02.2027', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '13', '01.02.2027', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');



-- Terzo elemento

-- Anziché 2,07 euro, nella provincia di Milano il terzo elemento è di 11,36 euro, nella provincia di Piacenza è di 9,03 euro, nella provincia di Bergamo è di 10,33 euro, nella provincia di Brescia è di 8,78 euro, nella provincia di Como e Varese è di 7,75 euro, nella provincia di Torino è 6,71 euro. In tutte le altre province è di 2,07 euro.

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.02.2027', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.02.2027', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.02.2027', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.02.2027', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.02.2027', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.02.2027', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.02.2027', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.02.2027', '2.069999', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.02.2027');

COMMIT WORK;



-- END Aggiornamento dettaglio 117 dal 01.02.2027





-- Aggiorno IDCONTRATTODETTAGLIO 231



-- http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14424;ArticleID=67637;&OTRSAgentInterface=BFHYtosiVVUSEgWu1n1oAbAdP0huWCiG

-- 1) 13 mensilità;

-- 2) 173,26 pag. 54 del contratto;

-- 3) 5 e 6 il contratto prevede questa possibilità;

-- 4) FERIE 14,66 ORE

-- 6) gruppi di 4 (quattro) o 8 (otto) ore, per un limite complessivo di 32 (trentadue) ore annuali, comprensive delle ex festività.

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES  ('231', '1', '', '26.00', '173', '5.00', '40.00', NULL, NULL, '0', '13', NULL, NULL, '13000', '', '05.03.2024', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES  ('231', '2', '', '26.00', '173', '6.00', '40.00', NULL, NULL, '0', '13', NULL, NULL, '13000', '', '05.03.2024', NULL);

-- FERIE

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('231', '1', '1', '0', NULL);

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('231', '1', '1', NULL, '1', '4', '14.66');

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('231', '2', '1', '0', NULL);

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('231', '2', '1', NULL, '1', '4', '14.66');

-- PERMESSI

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('231', '1', '2', NULL, '1', '4', '2.67');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('231', '2', '2', NULL, '1', '4', '2.67');

COMMIT WORK; -- skip error



-- FIX POSSIBLE ERRORS

ALTER TABLE POSIZIONEPREVIDENZIALE ALTER COLUMN ContribHh TO ContribLavHh;

COMMIT WORK; -- skip error

ALTER TABLE POSIZIONEPREVIDENZIALE ADD ContribDatHh Currency;

COMMIT WORK; -- skip error

ALTER TABLE POSIZIONEPREVIDENZIALE ADD ContribLavHh Currency;

COMMIT WORK; -- skip error

ALTER TABLE PROFILOPREVIDENZIALE ALTER COLUMN ContribHh TO ContribLavHh;

COMMIT WORK; -- skip error

ALTER TABLE PROFILOPREVIDENZIALE ADD ContribDatHh Currency;

COMMIT WORK; -- skip error

ALTER TABLE PROFILOPREVIDENZIALE ADD ContribLavHh Currency;

COMMIT WORK; -- skip error

ALTER TABLE ContrattoDettaglioVoce ADD Mesi Smallint;

COMMIT WORK; -- skip error



-- NEW TABLES

Create Table Tfr_Imposta (

	IdLavoratore Integer NOT NULL,

	AliquotaMedia Percentage,

	ImponibilePre Currency,

	ImponibilePost Currency,

	RiduzioniPre Currency,

	RiduzioniPost Currency,

	ImpostaLordaPre Currency,

	ImpostaLordaPost Currency,

	Detrazioni Currency,

	ImpostaPagata Currency,

	UltimaModificaUser IdUser,

	UltimaModifica Timestamp,

	Constraint pk_Tfr_Imposta Primary Key (IdLavoratore)

);

COMMIT WORK; -- skip error





-- BEGIN DA PO



ALTER TABLE CULAVORATORE DROP ProtocolloAe;

COMMIT WORK; -- skip error

ALTER TABLE CULAVORATORE ADD ProgressivoAe Varchar(6);

COMMIT WORK; -- skip error

ALTER TABLE CULAVORATORE DROP IdAnnullamento;

COMMIT WORK; -- skip error

UPDATE CONTRATTOCOEFFICIENTE SET IDTIPOLAVORATORE2 = '1', ORESETTIMANA='40', GIORNALIERO='26', MENSILITA='13', MENSILITA1000='13000' WHERE IDCONTRATTODETTAGLIO = '419' AND IDCOEFFICIENTE = '1'; -- per impiegato

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES  ('419', '2', '', NULL, '173.00', '5.00', NULL, NULL, NULL, '2', '12', NULL, NULL, '12000', '', '14.01.2011 10:11:38.000', NULL); -- per operaio

COMMIT WORK; -- skip error

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES  ('1155', '11', '1', '0', NULL, NULL, NULL, 'Bonus mamma', 'Bonus mamma', NULL, NULL, '1', NULL, NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, '1', NULL, '0');

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES  ('1156', '11', '1', '0', NULL, NULL, NULL, 'Arretrato bonus mamma', 'Arretrato bonus mamma', NULL, NULL, '1', NULL, NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, '1', NULL, '0');

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('4532', '45', '2', '0', NULL, NULL, NULL, 'Recupero esonero 6% o 7%', 'Recupero esonero 6% o 7%', NULL, NULL, '1', NULL, NULL, '0', NULL, '0', '0.000000', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, NULL, '0', '2', '0', NULL, '0');

COMMIT WORK; -- skip error

DELETE FROM CONTRATTODETTAGLIOLIVELLO WHERE IDCONTRATTODETTAGLIO = 231 AND IDLIVELLO IN (SELECT IDLIVELLO FROM CONTRATTODETTAGLIOLIVELLO  WHERE IDCONTRATTODETTAGLIO = 231 AND IDLIVELLO NOT IN (SELECT IDLIVELLO FROM CONTRATTODETTAGLIOLIVELLOVOCE WHERE IDCONTRATTODETTAGLIO = 231));

COMMIT WORK;

DELETE FROM DR_TIPOCAUSALE_ELEMENTO WHERE IDCAUSALE IN ('EL2', 'EL3');

COMMIT WORK;

INSERT INTO DR_TIPOCAUSALE_ELEMENTO (IDCAUSALE, IDELEMENTO) VALUES ('ELA2', '1155');

COMMIT WORK; -- skip error

INSERT INTO DR_TIPOCAUSALE_ELEMENTO (IDCAUSALE, IDELEMENTO) VALUES ('ELA3', '1155');

COMMIT WORK; -- skip error

INSERT INTO DR_TIPOCAUSALE_ELEMENTO (IDCAUSALE, IDELEMENTO) VALUES ('ELA2', '1156');

COMMIT WORK; -- skip error

INSERT INTO DR_TIPOCAUSALE_ELEMENTO (IDCAUSALE, IDELEMENTO) VALUES ('ELA3', '1156');

COMMIT WORK; -- skip error

INSERT INTO DR_TIPOCAUSALE_ELEMENTO (IDCAUSALE, IDELEMENTO) VALUES ('M055', '4532');

INSERT INTO DR_TIPOCAUSALE_ELEMENTO (IDCAUSALE, IDELEMENTO) VALUES ('M054', '4532');

COMMIT WORK; -- skip error

-- query di controllo:  SELECT * FROM ELEMENTORETRIBUTIVO WHERE IDELEMENTO IN (4010, 7551, 9203, 9206,9210,9211)

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Indennità e maggiorazioni di retribuzione corrisposte ai trasfertisti (sogg. inps-irpef) (SOSTITUITO DA VOCI 9210/9211)', DESCRIZIONE2 = 'Indennità ai trasferta (sogg. irpef)', ALIQUOTAPREVIDENZ = NULL, IRPEF = '1', NETTO = '0', IDENTEPREVIDENZIALE = 1, INAIL=1, TFR=1, GRUPPO = NULL WHERE IDELEMENTO = '9206';

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Indennità e maggiorazioni di retribuzione corrisposte ai trasfertisti (non sogg. inps-irpef) (SOSTITUITO DA VOCI 9210/9211)' WHERE IDELEMENTO = '9203';

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE2 = 'Indennità trasfertisti',  DESCRIZIONE = 'Indennità trasfertisti (imponibile al 50%)', IDENTEPREVIDENZIALE = '1', IRPEFALIQUOTA = NULL, ALIQUOTAPREVIDENZ = NULL, TFR=1, IRPEF = 1, INAIL = 1, NETTO = '0', GRUPPO = NULL WHERE IDELEMENTO = '9211';

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE2 = 'Indennità trasfertisti', DESCRIZIONE = 'Indennità trasfertisti (imponibile al 50%) (SOSTITUITO DA VOCE 9211)', IRPEFALIQUOTA = NULL, IDENTEPREVIDENZIALE = '1', ALIQUOTAPREVIDENZ = NULL, TFR=1, IRPEF = 1, INAIL = 1, NETTO = '0', GRUPPO = NULL WHERE IDELEMENTO = '4010';

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Indennita di trasferta ''strutturale'' (imponibile al 50%) (SOSTITUITO DA VOCE 9211)' WHERE IDELEMENTO = '7551';

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE2 = 'Indennità trasfertisti', DESCRIZIONE = 'Indennità trasfertisti (imponibile al 100%)', INAIL = 1, TFR = 1 WHERE IDELEMENTO = '9210';

COMMIT WORK;

UPDATE ELEMENTORETRIBUTIVO SET GRUPPO = NULL WHERE IDELEMENTO = '4532';

COMMIT WORK;



-- END DA PO



-- AGGIORNAMENTO CODICI CONTRATTO CNEL (v 423_34)

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('A05B', 'CCNL sulla disciplina del rapporto di lavoro per i lavoratori dipendenti delle imprese esercenti attività nei settori agricoltura e florovivaismo, floricultura, forestale e manutenzione del verde', 'A', 'ITALPMI', 'UNSIL', NULL);

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('C05A', 'CCNL per i dipendenti del settore Metalmeccanica - Industria - Installazione impianti', 'C', 'CONAPI', 'CONFINTESA', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'G132', DESCRIZIONE = 'CCNL per i Generici dipendenti operanti sui set di ripresa Cineteleaudiovisiva', IDCNELSETTORE = 'G', CONTRAENTIDATORIALI = 'CNA Cinema e Audiovisivo; CNA; CONFARTIGIANATO Cinema e Audiovisivo; CONFARTIGIANATO Imprese; CASARTIGIANI; CLAAI', CONTRAENTISINDACALI = 'SLC CGIL; FISTEL CISL; UILCOM UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'G132';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'G411', DESCRIZIONE = 'CCNL per il personale non dirigente della SIAE', IDCNELSETTORE = 'G', CONTRAENTIDATORIALI = 'SIAE', CONTRAENTISINDACALI = 'SLC CGIL; SLC CGIL SIAE; FISTEL CISL; FISTEL CISL SIAE; UILPA; UILPA SIAE; FNC UGL COMUNICAZIONI; CISAL FIALP; CISAL FIALP SIAE; CONFSAL SIAE', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'G411';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H442', DESCRIZIONE = 'CCNL per i dipendenti degli studi e delle attività professionali', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'CONFPROFESSIONI', CONTRAENTISINDACALI = 'FILCAMS CGIL; FISASCAT CISL; UILTUCS UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H442';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('IC38', 'CCNL Noleggio autobus con conducente per i dipendenti di imprese esercenti il noleggio autobus con conducente e le relative attività correlate', 'I', 'SISTEMA TRASPORTI; SISTEMA IMPRESA', 'FESICA CONFSAL; CCONFSAL', NULL);

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('T27T', 'CCNL per i dipendenti delle strutture ed enti di formazione', 'T', 'ITALPMI', 'FESICA CONFSAL; CONFSAL', NULL);



COMMIT WORK;



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS
